### Home Classes Methods

### In Files

- lib/math_ml/string.rb

### Methods

- ::mathml_latex_parser
- ::mathml_latex_parser=
- #to_mathml

### Class/Module Index

Quicksearch

- MathML
- MathML::Align
- MathML::Element
- MathML::Error
- MathML::Fenced
- MathML::Frac
- MathML::Identifier
- MathML::LaTeX
- MathML::LaTeX::BlockNotClosed
- MathML::LaTeX::Builtin
- MathML::LaTeX::Builtin::Symbol
- MathML::LaTeX::BuiltinCommands
- MathML::LaTeX::BuiltinEnvironments
- MathML::LaTeX::BuiltinGroups
- MathML::LaTeX::BuiltinGroups::CircularReferenceEnvironment
- MathML::LaTeX::EndMismatchToBegin
- MathML::LaTeX::EnvironmentNotEnd
- MathML::LaTeX::Font
- MathML::LaTeX::Macro
- MathML::LaTeX::Macro::Command
- MathML::LaTeX::Macro::Environment
- MathML::LaTeX::NeedParameter
- MathML::LaTeX::NotEnvironment
- MathML::LaTeX::OptionNotClosed
- MathML::LaTeX::ParseError
- MathML::LaTeX::Parser
- MathML::LaTeX::Parser::CircularReferenceCommand
- MathML::LaTeX::RE
- MathML::LaTeX::Scanner
- MathML::Line
- MathML::Math
- MathML::None
- MathML::Number
- MathML::Operator
- MathML::Over
- MathML::Root
- MathML::Row
- MathML::Space
- MathML::Sqrt
- MathML::String
- MathML::SubSup
- MathML::Symbol
- MathML::Symbol::CharacterReference
- MathML::Symbol::EntityReference
- MathML::Table
- MathML::Td
- MathML::Text
- MathML::Tr
- MathML::Under
- MathML::Util
- MathML::Util::MathData
- MathML::Util::SimpleLaTeX
- MathML::Variant
- MathML::XMLElement
- String

No matching classes.

# MathML::String

### Public Class Methods

mathml_latex_parser() click to toggle source

    # File lib/math_ml/string.rb, line 14
    def self.mathml_latex_parser
            @@mathml_latex_parser = MathML::LaTeX::Parser.new unless @@mathml_latex_parser
            @@mathml_latex_parser
    end

mathml_latex_parser=(mlp) click to toggle source

    # File lib/math_ml/string.rb, line 19
    def self.mathml_latex_parser=(mlp)
            raise TypeError unless mlp.is_a?(MathML::LaTeX::Parser) || mlp==nil
            @@mathml_latex_parser = mlp
    end

### Public Instance Methods

to_mathml(displaystyle=false) click to toggle source

    # File lib/math_ml/string.rb, line 24
    def to_mathml(displaystyle=false)
            MathML::String.mathml_latex_parser.parse(self, displaystyle)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.